/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#ifndef TEXT_KEYS_AND_LANGUAGES_HPP
#define TEXT_KEYS_AND_LANGUAGES_HPP


typedef enum
{
    GBR,
    DNK,
    JPN,
    UKR,
    NLD,
    NUMBER_OF_LANGUAGES
} LANGUAGES;


typedef enum
{
    T_DEMO_VIEW_MCU_LOAD_TEXT,
    T_DEMO_VIEW_MCU_LOAD_VALUE,
    T_DEMO_VIEW_MCU_LOAD_TEXT_SMALL,
    T_DEMO_VIEW_MCU_LOAD_VALUE_SMALL,
    T_POSTER_HEADLINE_00,
    T_POSTER_TEXT_00,
    T_POSTER_HEADLINE_01,
    T_POSTER_TEXT_01,
    T_POSTER_HEADLINE_02,
    T_POSTER_TEXT_02,
    T_THREE_WAY_PROGRESS_BAR_PERCENTAGE,
    T_THREE_WAY_PROGRESS_BAR_SCAN,
    T_THREE_WAY_PROGRESS_BAR_SCANNING,
    T_THREE_WAY_PROGRESS_BAR_STATUS,
    T_PERCENTAGE_BAR_READOUT,
    T_PERCENTAGE_BAR_HEADLINE,
    T_DATEPICKER_MONTHS,
    T_DATEPICKER_YEARS,
    T_DATEPICKER_DAY_28,
    T_DATEPICKER_DAY_29,
    T_DATEPICKER_DAY_30,
    T_DATEPICKER_DAY_31,
    T_EASING_EQUATION_LINEAR,
    T_EASING_EQUATION_BACK,
    T_EASING_EQUATION_BOUNCE,
    T_EASING_EQUATION_CIRCULAR,
    T_EASING_EQUATION_CUBIC,
    T_EASING_EQUATION_ELASTIC,
    T_EASING_EQUATION_EXPONENTIAL,
    T_EASING_EQUATION_QUADRATIC,
    T_EASING_EQUATION_QUARTIC,
    T_EASING_EQUATION_QUINTIC,
    T_EASING_EQUATION_SINUSOIDAL,
    T_EASING_EQUATION_LINEAR_SHORT,
    T_EASING_EQUATION_BACK_SHORT,
    T_EASING_EQUATION_BOUNCE_SHORT,
    T_EASING_EQUATION_CIRCULAR_SHORT,
    T_EASING_EQUATION_CUBIC_SHORT,
    T_EASING_EQUATION_ELASTIC_SHORT,
    T_EASING_EQUATION_EXPONENTIAL_SHORT,
    T_EASING_EQUATION_QUADRATIC_SHORT,
    T_EASING_EQUATION_QUARTIC_SHORT,
    T_EASING_EQUATION_QUINTIC_SHORT,
    T_EASING_EQUATION_SINUSOIDAL_SHORT,
    T_EASING_EQUATION_EASE_IN,
    T_EASING_EQUATION_EASE_OUT,
    T_EASING_EQUATION_EASE_INOUT,
    T_GRAPH_Y_VALUE,
    T_GRAPH_LEGEND_TEXT_00,
    T_GRAPH_LEGEND_TEXT_01,
    T_GRAPH_LEGEND_TEXT_02,
    T_GRAPH_LEGEND_TEXT_03,
    T_GRAPH_LEGEND_TEXT_04,
    T_GRAPH_LEGEND_TEXT_05,
    T_GRAPH_LEGEND_VALUE_TEXT,
    NUMBER_OF_TEXT_KEYS
} TEXTS;

#endif /* TEXT_KEYS_AND_LANGUAGES_HPP */
